//
// tclPtPipe.cc
//
// tcl interface to PtPipe objects
//
// for aprl - audio pattern recognition language
// dpwe@media.mit.edu 1995feb25
//
static char rcsid[] = "$Header: /n/crab/da/dpwe/src/aprl/tclPtPipe.cc,v 1.1 1996/11/18 18:42:29 dpwe Exp $ @media.mit.edu Machine Listening Group";

#include <stdio.h>
#include <assert.h>
#include "PtPipe.h"

#define OBJECT         PtPipe
#define TCLNAME	       ptrack
#define ISPIPE
#define STRUCTFIELDS	\
    double sampleRate;	\
    double hpfFreq;	\
    double lpfFreq;	\
    double decayT;	\
    int	   hpfFlag;	\
    int    lpfFlag;
#define CONFIGLINES  	\
CONFIGLINE(TK_CONFIG_DOUBLE, sampleRate, SampleRate, "0")	\
CONFIGLINE(TK_CONFIG_DOUBLE, hpfFreq, HpfFreq, "100.0")	\
CONFIGLINE(TK_CONFIG_DOUBLE, lpfFreq, LpfFreq, "200.0")	\
CONFIGLINE(TK_CONFIG_INT, hpfFlag, HpfFlag, "1")	\
CONFIGLINE(TK_CONFIG_INT, hpfFlag, LpfFlag, "1")	\
CONFIGLINE(TK_CONFIG_DOUBLE, decayT, DecayT, "16.0")
#define COMMANDCODE(interp,ptr,c,argc,argv,length)
#define COMMANDLIST	
#define CONSTRUCTCODE(PTR, IN)				\
	PTR->obj = new OBJECT(PTR->sampleRate, IN);
#define CONFIGCODE(PTR)	\
        PTR->obj->SetFilterParams(PTR->hpfFreq, PTR->lpfFreq, 	\
				  PTR->hpfFlag, PTR->lpfFlag, 	\
				  PTR->decayT);

#include "tclTemplate.h"	// actually define the fns etc.
