#!/usr/local/bin/tclsh
#
# berpdemo/tateyama/backendtest.tcl
#
# Exercise the BeRP database backend without any of the fancy stuff.
# (runs from tclsh, not wish)
#
# I don't fully understand what's happening here, but this seems to work.
#
# 1997aug05 dpwe@icsi.berkeley.edu
# $Header: /u/drspeech/src/berpdemo/berpbackend/RCS/testberpbackend.tcl,v 1.4 1998/08/10 19:23:02 dpwe Exp $

set berpdir "[file dirname [info script]]/.."
#set grammar "$berpdir/data/berp.grammar"
#set unify   "false"

set DEMODATADIR $berpdir/data
set DEMOSHAREDIR $berpdir/share

puts "DEMOSHAREDIR=$DEMOSHAREDIR"

proc berpcallback {avlist} {
    # This is how the berpbackend passes stuff back to the gui
    puts "callback: '$avlist'"
}

set grammar   "$DEMODATADIR/berp.grammar"
set database  "$DEMODATADIR/restaurants"
set audiodir  "$DEMODATADIR/sounds"
set unify     "false"
set db_prog   "$DEMOSHAREDIR/simpdb"
set parsetree "false"
#set ptprog    "$DEMOSHAREDIR/ptbrowser"

load ./libberpbackend_tcl.so Berpbackend

guiprocreg "berpcallback"

backendloop "i wanna eat chinese food for lunch for ten dollars within five blocks today"

backendloop "how about italian"

