#
# farray_init.tcl
#
# File to setup the Farray tcl package.
# Mainly this just loads the dynamic library, but it also ensures the 
# prerequisite libraries are loaded.
#
# 1997aug13 dpwe@icsi.berkeley.edu
# $Header: /u/drspeech/src/guitools/farray_otcl/RCS/farray_init.tcl,v 1.4 1998/11/17 01:33:02 dpwe Exp $

# We need: otcl

# Request the package
package require Otcl

if {[info commands "otcl"] == ""} {
    # "package require" just sets up the auto_index.  Make sure we 
    # actually load it.
    eval $auto_index(otcl)
}

# Load our library (includes the "package provide" command 
# and the "otcl clear" command to rebuild the otcl table)
load [file join [file dirname [info script]] libfarray_otcl[info sharedlibext]] Farray
