/*
 * myDAT.h
 * 
 * Replacement for DATUtils.h
 * to avoid problems including all that stuff
 *
 * dpwe@media.mit.edu 1996jan25
 */

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

//#include <DATUtils.h>

int DATRead(char *fileName, int dset, int chan, int row, int col, 
	    void **dataPtrPtr, char format, 
	    int *rowsPtr, int *colsPtr, double *srPtr);
int DATWrite(char *fileName, int dset, int chan, int row, int col, 
	     void *dataPtr, char format, int nrows, int ncols, 
	     double sampleRate, char outFormat, int trunc);   
int DATInfo(char *fileName, int *dsetsPtr, int *chansPtr, int *rowsPtr, 
	    int *colsPtr, double *srPtr, char *fmtPtr);
int DATTagRead(char *fileName, char *tagname, char *tagval, int tagvallen);
int DATTagWrite(char *fileName, char *tagname, char *tagval);

#ifdef __cplusplus
}
#endif /* __cplusplus */
