/*
    $Header: /u/drspeech/src/pfile_utils/RCS/error.cc,v 1.4 1998/06/12 05:16:48 dpwe Exp dpwe $
  
    Simple fatal error function.
    Jeff Bilmes <bilmes@cs.berkeley.edu>
    $Header: /u/drspeech/src/pfile_utils/RCS/error.cc,v 1.4 1998/06/12 05:16:48 dpwe Exp dpwe $
*/


#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>


#include "error.h"

void
error(char *format, ...)
{
  va_list ap;
  va_start(ap,format);
  /* print out remainder of message */
  (void) vfprintf(stderr, format, ap);
  va_end(ap);
  (void) fprintf(stderr, "\n");
  (void) exit(EXIT_FAILURE);
}
