// $Header: /n/basmati/da/bedk/speech/src/frontend/RCS/OnlfeatureOutput.h,v 1.1 1997/07/08 22:13:18 bedk Exp $
//
// $Log: OnlfeatureOutput.h,v $
// Revision 1.1  1997/07/08 22:13:18  bedk
// Initial revision
//
//

#ifndef OnlfeatureOutput_h_INCLUDED
#define OnlfeatureOutput_h_INCLUDED

#include <stdio.h>

#include "Blocker.h"
#include "Matrix.h"

class OnlfeatureOutput : public Blocker
{
private:
  const unsigned int nchan;      // number of channels of features

  FILE *file;

  bool have_stdout;

  float* const buffer;          // must keep around one frame of data,
                                // in case it is the last one in an
                                // utterance or a stream.

  bool buffer_full;             // flag indicating if the output
                                // buffer holds data

public:
  OnlfeatureOutput(const int a_nchan,
                   const char* const fileName);

  ~OnlfeatureOutput();

  void write(const CMatrix m,
             bool& lastTime);
};

#endif // OnlfeatureOutput_h_INCLUDED
