// $Header$
//
// $Log$
//

#ifndef OnlineSpeechInput_h
#define OnlineSpeechInput_h

#include <stdio.h>
#include <stdlib.h>

#include "Blocker.h"
#include "Matrix.h"
#include "Vector.h"

class OnlineSpeechInput : public Blocker {
private:
  const size_t IOBlocking; // max signal length we might be sent

  FILE *file;
				
  // The return matrix and temporary buffer storage.
  Vector* result;
  short* buffer;

  bool stin;

public:
  OnlineSpeechInput(const size_t IOBlocking,
                    const char* const fileName);

  ~OnlineSpeechInput();

  const CVector processBlock(bool& EOUtt, bool& EOProc, bool& EOFile);
};

#endif
