/*
** $Header: /u/spert/src/fltvec/tor/RCS/flags.c,v 1.5 1995/10/13 03:11:04 davidj Exp $
**
** Torrent IEEE vector floating point flags and associated routines
*/

#include <fltv-config.h>
#include <stddef.h>
#include <math.h>
#include <fltv-defs.h>
#include <fltv-scansrc.h>

#ifdef DECL__tor_fltv_flags32

/* Here we rely on the fact that unsigned is 32 bit on Torrent processors */

extern unsigned tor_fltv_flags_underflow32;
extern unsigned tor_fltv_flags_overflow32;
extern unsigned tor_fltv_flags_divbyzero32;
extern unsigned tor_fltv_flags_invalid32;

#endif

#ifdef DEFN_tor_fltv_flags32

fltv_uint32_t tor_fltv_flags_underflow32 = 0;
fltv_uint32_t tor_fltv_flags_overflow32 = 0;
fltv_uint32_t tor_fltv_flags_divbyzero32 = 0;
fltv_uint32_t tor_fltv_flags_invalid32 = 0;

#endif
