/*
** $Header: /u/spert/src/fltvec/tor/RCS/misc.c,v 1.4 1995/10/13 03:07:52 davidj Exp $
**
** A few Torrent odds and ends
*/

#include <fltv-config.h>
#include <stddef.h>
#include <fltv-defs.h>
#include <fltv-scansrc.h>

/* A vector where each element holds its own index */

#ifdef DECL_tor_fltv_bindex
extern const fltv_uint8_t tor_fltv_bindex[32];
#endif

#ifdef DEFN_tor_fltv_bindex
const fltv_uint8_t tor_fltv_bindex[32] =
{
    0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15,
    16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31
};
#endif

/* A vector where each element holds  31-index */

#ifdef DECL_tor_fltv_rbindex
extern const fltv_uint8_t tor_fltv_rbindex[32];
#endif

#ifdef DEFN_tor_fltv_rbindex
const fltv_uint8_t tor_fltv_rbindex[32] =
{
    31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16,
    15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0
};
#endif

